---
name: Bug report
about: Report functionality that isn't working as it should (other than just poor rendering)
title: ''
labels: bug
assignees: ''

---

> Before reporting a bug
- [ ] Check [common issues](https://katex.org/docs/issues.html).
- [ ] Check the bug is reproducible in [the demo](https://katex.org). If not, check KaTeX is up-to-date and installed correctly.
- [ ] Search for [existing issues](https://github.com/KaTeX/KaTeX/issues).

**Describe the bug:**
A clear and concise description of what the bug is. If your installation is available on the web or you can provide a minimal repo or CodePen that reproduces the bug, please add the link to it.

**To Reproduce:**
Steps to reproduce the behavior:
1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

**Expected behavior:**
A clear and concise description of what you expected to happen.

**Screenshots:**
If applicable, add screenshots to help explain your problem.

**Environment (please complete the following information):**
 - KaTeX Version: [Can be checked via `katex.version`]
 - Device: [e.g. Desktop, iPhone 8]
 - OS: [e.g. Windows 10, iOS 11]
 - Browser: [e.g. Chrome, Safari]
 - Version: [e.g. 72]

**Additional context:**
Add any other context about the problem here. If you're using a library to use KaTeX, please include its name and setup.
